Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.query
Interface XQueryFunctionBinder

All Superinterfaces:
  FunctionLibrary, Serializable

All Known Implementing Classes:
  FunctionLibraryList, ImportedFunctionLibrary, XQueryFunctionLibrary

    public interface XQueryFunctionBinder

extends FunctionLibrary

Method Summary
`XQueryFunction` | `getDeclaration(int nameCode, String uri, String local, Expression[] staticArgs)` Get the function declaration corresponding to a given function name and arity

Methods inherited from interface net.sf.saxon.functions.FunctionLibrary
`bind, copy, isAvailable`

Method Detail

### getDeclaration

    XQueryFunction getDeclaration(int nameCode,
                                  String uri,
                                  String local,
                                  Expression[] staticArgs)

  Get the function declaration corresponding to a given function name and arity

  Returns:
    the XQueryFunction if there is one, or null if not.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.